--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "空格看效果"				-- 文本型	窗口标题
    t.window.width = 640			-- 数值型	宽度
    t.window.height = 480			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------


------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	置背景色(122,122,122,255)
	tex = {}
	木桶碎精灵组 = {}
	物理信息 = {}
	for n = 1 ,12 do
		tex[n] = 创建图像(string.format("trunk/%d.png",n))
		local a,b=tex[n]:getWidth(),tex[n]:getHeight()
		木桶碎精灵组[n] = 精灵:new(tex[n],0,0,a,b)
		木桶碎精灵组[n]:置中心(a/2,b/2)
	end

	爆炸点 = {x=300,y=300}
	
	for n=1,12 do
		物理信息[n] =
		{
			x方向速度 = 0,
			y方向速度 = 0,
			重力加速度 = 0,
			旋转值 = 0,
			旋转度 = 0,
			碎片落点 ={x = 0,y = 0}
		}
		
	end
end
------------------------------------------

function 逻辑更新(dt)

end
------------------------------------------

function 画面显示()

	for n=1,12 do
		if(物理信息 [n].y方向速度  >= 0) then
			物理信息 [n].y方向速度 = 物理信息 [n].y方向速度 + 物理信息 [n].重力加速度
			物理信息 [n].碎片落点.y = 物理信息 [n].碎片落点.y + 物理信息 [n].y方向速度
			
			if(物理信息 [n].碎片落点.y >= 爆炸点.y) then
				物理信息 [n].碎片落点.y = 爆炸点.y
				
				if(物理信息 [n].x方向速度 ~= 0) then
					物理信息 [n].y方向速度 = 0
					物理信息 [n].x方向速度 = 0
					物理信息 [n].重力加速度 = 0
					物理信息 [n].旋转度 = 物理信息 [n].旋转度 + 0.8
				end
				else
				物理信息 [n].旋转度 = 物理信息 [n].旋转度 + 物理信息 [n].旋转值
			end
		else
			物理信息 [n].y方向速度 = 物理信息 [n].y方向速度 + 物理信息 [n].重力加速度
			if(物理信息 [n].y方向速度 >= 0) then
				物理信息 [n].y方向速度 = 0
				else
				物理信息 [n].碎片落点.y = 物理信息 [n].碎片落点.y + 物理信息 [n].y方向速度
				物理信息 [n].旋转度 = 物理信息 [n].旋转度 + 物理信息 [n].旋转值
			end
		end
		
		物理信息 [n].碎片落点.x = 物理信息 [n].碎片落点.x + 物理信息 [n].x方向速度
		if(物理信息 [n].碎片落点.x > 0) then
			木桶碎精灵组 [n]:显示(物理信息 [n].碎片落点.x,物理信息 [n].碎片落点.y,物理信息 [n].旋转度,1,1)
		end

	end

	画线(0,爆炸点.y,640,爆炸点.y)
end
------------------------------------------

function 键盘按下(key)
	if(key==" ") then
		置随机数种子()
		for n=1,12 do
			物理信息[n] =
			{
				x方向速度 = 取随机数(-5,5),
				y方向速度 = 取随机数(0,1.5),
				重力加速度 = 取随机数(0.5,0.9),
				旋转值 = 取随机数(-0.3,0.3),
				旋转度 = 0,
				碎片落点 ={x = 300,y = 250}
			}
		end
	end
end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------